Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&city=paris&country_abbreviation=fr&page=1&province_abbreviation=idf&results_per_page=3&select=address,parcel_number,construction_year,interior_sq_m"
const houski_recipe_data = async (): Promise<PropertiesResponse> => {
// You must copy the PropertiesResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/properties');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('city', 'paris');
url.searchParams.set('country_abbreviation', 'fr');
url.searchParams.set('page', '1');
url.searchParams.set('province_abbreviation', 'idf');
url.searchParams.set('results_per_page', '3');
url.searchParams.set('select', 'address,parcel_number,construction_year,interior_sq_m');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: PropertiesResponse = await houski_recipe_data();
// Log the response
console.log(data);
})();
{
"cache_hit": true,
"cost_cents": 0.96,
"data": [
{
"address": "45 Rue Boissy Danglas",
"construction_year": 1700,
"interior_sq_m": 65.0,
"parcel_number": "75108000BR0042",
"property_id": "102fe80e4dba66e5"
},
{
"address": "38 Avenue Gabriel",
"construction_year": 1850,
"interior_sq_m": 65.0,
"parcel_number": "75108000BO0019",
"property_id": "103bb779cd84a039"
},
{
"address": "60 Rue Des Mathurins",
"construction_year": 1910,
"interior_sq_m": 65.0,
"parcel_number": "75108000BT0033",
"property_id": "10416bc994217b80"
}
],
"error": "",
"pagination": {
"current_page": 1,
"has_next_page": true,
"has_previous_page": false,
"page_total": 21042
},
"price_quote": false,
"result_total": 63126,
"time_ms": 6219,
"ui_info": {
"city": "Paris",
"city_id": "22fbb45ffa18d682",
"city_link": "fr/idf/paris",
"city_slug": "paris",
"country": "France",
"country_abbreviation": "FR",
"country_abbreviation_id": "ab154f820778087b",
"country_abbreviation_link": "fr",
"country_slug": "france",
"province": "Île-de-France",
"province_abbreviation": "IDF",
"province_abbreviation_id": "75ea2c1d87abb735",
"province_abbreviation_link": "fr/idf",
"province_slug": "ile-de-france"
}
}